META
{
  Parser = Menu;
  After = zUnionMenu.d;
};

namespace UNION_COOP {
  const int i_MenuTextX                  = 450;
  const int i_MenuTextWidth              = 8000;
  const int i_MenuTextHeight             = 750;
  const int i_MenuSliderX                = 5500;
  const int i_MenuSliderWidth            = 2000;
  const int i_MenuSliderHeight           = 600;
  const int i_MenuSliderDimY             = 80;
  const int i_MenuChoiceWidth            = 2000;
  const int i_MenuChoiceHeight           = 350;
  const int i_MenuChoiceDimY             = 120;
  const int i_MenuItemTitleStartY        = 450;
  const int i_MenuItemStartY             = 1400;
  const int i_MenuStepY                  = 450;
  const string s_MenuItemBackground      = "";
  const string s_MenuBackground          = "MENU_INGAME.TGA";
  const string s_MenuChoiceBackground    = "MENU_choice_BACK.TGA";
  const string s_MenuSliderPosBackground = "MENU_slider_POS.TGA";
  const string s_MenuSliderBackground    = "MENU_slider_BACK.TGA";


  instance :MenuItem_Union_Auto_UNION_COOP(C_MENU_ITEM_UNION_DEF) {
    text[0]          = "Splitscreen";
	text[1]               = Str_GetLocalizedString(
	"Configure splitscreen/coop",
	"Configure splitscreen/coop",
	"Splitscreen/Koop konfigurieren.",
	"Configure splitscreen/coop"
	);
    onselaction[0]   = SEL_ACTION_STARTMENU;
    onselaction_s[0] = "UNION_COOP:Menu_UNION_COOP";
  };


  prototype IMenuBase(C_MENU) {
    C_MENU_DEF();
    backpic  = s_MenuBackground;
    items[0] = "";
    flags    = flags | MENU_SHOW_INFO;
  };


  prototype IMenuItemTextBase(C_MENU_ITEM) {
    C_MENU_ITEM_DEF();
    backpic        = s_MenuItemBackground;
    posx           = i_MenuTextX;
    posy           = i_MenuItemStartY;
    dimx           = i_MenuTextWidth;
    dimy           = i_MenuTextHeight;
    flags          = flags | IT_EFFECTS_NEXT;
    onselaction[0] = SEL_ACTION_UNDEF;
  };


  prototype IMenuItemChoiceBase(C_MENU_ITEM) {
    C_MENU_ITEM_DEF();
    backpic  = s_MenuChoiceBackground;
    type     = MENU_ITEM_choiceBOX;
    fontname = MENU_FONT_SMALL;
    posx     = i_MenuSliderX;
    posy     = i_MenuItemStartY + i_MenuChoiceDimY;
    dimx     = i_MenuSliderWidth;
    dimy     = i_MenuChoiceHeight;
    flags    = flags & ~IT_SELECTABLE;
    flags    = flags | IT_TXT_CENTER;
  };


  prototype IMenuItemSliderBase(C_MENU_ITEM)
  {
    C_MENU_ITEM_DEF();
    backpic       = s_MenuSliderBackground;
    type          = MENU_ITEM_slider;
    fontname      = MENU_FONT_SMALL;
    posx          = i_MenuSliderX;
    posy          = i_MenuItemStartY + i_MenuSliderDimY;
    dimx          = i_MenuSliderWidth;
    dimy          = i_MenuSliderHeight;
    flags         = flags & ~IT_SELECTABLE;
    flags         = flags | IT_TXT_CENTER;
    userstring[0] = s_MenuSliderPosBackground;
  };


  instance Menu_UNION_COOP(IMenuBase) {
    Menu_SearchItems( "UNION_COOP:MenuItem_*" );
  };


  instance MenuItem_Headline(C_MENU_ITEM_DEF) {
    type    = MENU_ITEM_TEXT;
    posx    = 0;
    posy    = i_MenuItemTitleStartY;
    dimx    = 8100;
    flags   = flags & ~IT_SELECTABLE;
    flags   = flags | IT_TXT_CENTER;
    text[0] = Str_GetLocalizedString(
      "SPLIT-SCREEN/COOP НАСТРОЙКИ",
      "SPLIT-SCREEN/COOP SETTINGS",
      "SPLIT-SCREEN/COOP EINSTELLUNGEN",
      "USTAWIENIA SPLIT-SCREEN/COOP"
    );
  };


  //instance MenuItem_Enabled(IMenuItemTextBase) {
  //  posy   += i_MenuStepY * 0;
  //  text[0] = Str_GetLocalizedString(
  //    "Включен",
  //    "Enabled",
  //    "Aktiviert",
  //    "Włączony"
  //  );
  //};
  //
  //
  //instance MenuItem_EnabledChoice(IMenuItemChoiceBase) {
  //  posy                 += i_MenuStepY * 0;
  //  onchgsetoption        = "Enabled";
  //  onchgsetoptionsection = "UNION_COOP";
  //  text[0]               = Str_GetLocalizedString(
  //    "нет|да",
  //    "no|yes",
  //    "Nein|Ja",
  //    "nie|tak"
  //  );
  //};


  instance MenuItem_HorizontalSplitscreen(IMenuItemTextBase) {
    posy   += i_MenuStepY * 0;
    text[0] = Str_GetLocalizedString(
      "Горизонтальная разделенный экран",
      "Horizontal Split-Screen",
      "Horizontaler Split-Screen",
      "Poziomy podział ekranu"
    );
  };


  instance MenuItem_HorizontalSplitscreenChoice(IMenuItemChoiceBase) {
    posy                 += i_MenuStepY * 0;
    onchgsetoption        = "coopHorizontalSplitScreen";
    onchgsetoptionsection = "UNION_COOP";
    text[0]               = Str_GetLocalizedString(
      "нет|да",
      "no|yes",
      "Nein|Ja",
      "nie|tak"
    );
  };
  
  instance MenuItem_SwitchSides(IMenuItemTextBase) {
    posy   += i_MenuStepY * 1;
    text[0] = Str_GetLocalizedString(
      "Поменяйтесь сторонами",
      "Switch sides",
      "Seiten wechseln",
      "Zmiana stron"
    );
  };
  
  
  instance MenuItem_SwitchSidesChoice(IMenuItemChoiceBase) {
    posy                 += i_MenuStepY * 1;
    onchgsetoption        = "coopSwitchSides";
    onchgsetoptionsection = "UNION_COOP";
    text[0]               = Str_GetLocalizedString(
      "нет|да",
      "no|yes",
      "Nein|Ja",
      "nie|tak"
    );
  };
  
  instance MenuItem_StartWithSecondPlayer(IMenuItemTextBase) {
    posy   += i_MenuStepY * 2;
    text[0] = Str_GetLocalizedString(
      "Начните со второго игрока",
      "Start with second player",
      "Mit zwei Spielern starten",
      "Zacznij od drugiego zawodnika"
    );
  };
  
  
  instance MenuItem_StartWithSecondPlayerChoice(IMenuItemChoiceBase) {
    posy                 += i_MenuStepY * 2;
    onchgsetoption        = "coopStartWithSecondPlayer";
    onchgsetoptionsection = "UNION_COOP";
    text[0]               = Str_GetLocalizedString(
      "нет|да",
      "no|yes",
      "Nein|Ja",
      "nie|tak"
    );
  };
  
  instance MenuItem_HideFocusOfOtherPlayer(IMenuItemTextBase) {
    posy   += i_MenuStepY * 3;
    text[0] = Str_GetLocalizedString(
      "",
      "Hide player focus",
      "Spieler-Fokus verstecken",
      "Ukryj fokus gracza"
    );
  };
  
  
  instance MenuItem_HideFocusOfOtherPlayerChoice(IMenuItemChoiceBase) {
    posy                 += i_MenuStepY * 3;
    onchgsetoption        = "coopHideFocusOfOtherPlayer";
    onchgsetoptionsection = "UNION_COOP";
    text[0]               = Str_GetLocalizedString(
      "нет|да",
      "no|yes",
      "Nein|Ja",
      "nie|tak"
    );
  };
  
  instance MenuItem_InvertXMouseControls(IMenuItemTextBase) {
    posy   += i_MenuStepY * 4;
    text[0] = Str_GetLocalizedString(
      "Инвертировать ось x мыши",
      "Invert mouse x-axis",
      "Maus x-Achse invertieren",
      "Odwróć oś x myszy"
    );
  };
  
  
  instance MenuItem_InvertXMouseControlsChoice(IMenuItemChoiceBase) {
    posy                 += i_MenuStepY * 4;
    onchgsetoption        = "coopinvertXMouseControls";
    onchgsetoptionsection = "UNION_COOP";
    text[0]               = Str_GetLocalizedString(
      "нет|да",
      "no|yes",
      "Nein|Ja",
      "nie|tak"
    );
  };
  
  instance MenuItem_InvertYMouseControls(IMenuItemTextBase) {
    posy   += i_MenuStepY * 5;
    text[0] = Str_GetLocalizedString(
      "Инвертировать ось y мыши",
      "Invert mouse y-axis",
      "Maus y-Achse invertieren",
      "Odwróć oś y myszy"
    );
  };
  
  
  instance MenuItem_InvertYMouseControlsChoice(IMenuItemChoiceBase) {
    posy                 += i_MenuStepY * 5;
    onchgsetoption        = "coopinvertYMouseControls";
    onchgsetoptionsection = "UNION_COOP";
    text[0]               = Str_GetLocalizedString(
      "нет|да",
      "no|yes",
      "Nein|Ja",
      "nie|tak"
    );
  };
  
  instance MenuItem_EachPlayerHasOwnMenu(IMenuItemTextBase) {
    posy   += i_MenuStepY * 6;
    text[0] = Str_GetLocalizedString(
      "Each player has own menu",
      "Each player has own menu",
      "Menü je Spieler",
      "Each player has own menu"
    );
  };
  
  instance MenuItem_EachPlayerHasOwnMenuChoice(IMenuItemChoiceBase) {
    posy                 += i_MenuStepY * 6;
    onchgsetoption        = "coopEachPlayerHasOwnMenu";
    onchgsetoptionsection = "UNION_COOP";
    text[0]               = Str_GetLocalizedString(
      "нет|да",
      "no|yes",
      "Nein|Ja",
      "nie|tak"
    );
  };
  
  instance MenuItem_EachPlayerHasOwnStatusScreen(IMenuItemTextBase) {
    posy   += i_MenuStepY * 7;
    text[0] = Str_GetLocalizedString(
      "У каждого игрока свой экран состояния",
      "Each player has own status screen",
      "Status-Screen je Spieler",
      "Każdy zawodnik ma swój własny ekran statusu"
    );
  };
  
  instance MenuItem_EachPlayerHasOwnStatusScreenChoice(IMenuItemChoiceBase) {
    posy                 += i_MenuStepY * 7;
    onchgsetoption        = "coopEachPlayerHasOwnStatusScreen";
    onchgsetoptionsection = "UNION_COOP";
    text[0]               = Str_GetLocalizedString(
      "нет|да",
      "no|yes",
      "Nein|Ja",
      "nie|tak"
    );
  };
  
  //(naming fuckup) This option is actually for different quest logs....
  
  //instance MenuItem_EachPlayerHasOwnLog(IMenuItemTextBase) {
  //  posy   += i_MenuStepY * 8;
  //  text[0] = Str_GetLocalizedString(
  //    "Each player has own log",
  //    "Each player has own log",
  //    "Log je Spieler",
  //    "Each player has own log"
  //  );
  //};
  //
  //instance MenuItem_EachPlayerHasOwnLogChoice(IMenuItemChoiceBase) {
  //  posy                 += i_MenuStepY * 8;
  //  onchgsetoption        = "coopEachPlayerHasOwnLog";
  //  onchgsetoptionsection = "UNION_COOP";
  //  text[0]               = Str_GetLocalizedString(
  //    "нет|да",
  //    "no|yes",
  //    "Nein|Ja",
  //    "nie|tak"
  //  );
  //};
  
  instance MenuItem_ShowEachPlayerLogOnlyOnOwnScreen(IMenuItemTextBase) {
    posy   += i_MenuStepY * 8;
    text[0] = Str_GetLocalizedString(
      "Each player has own log",
      "Each player has own log",
      "Log je Spieler",
      "Each player has own log"
    );
  };
  
  instance MenuItem_ShowEachPlayerLogOnlyOnOwnScreenChoice(IMenuItemChoiceBase) {
    posy                 += i_MenuStepY * 8;
    onchgsetoption        = "coopShowEachPlayerLogOnlyOnOwnScreen";
    onchgsetoptionsection = "UNION_COOP";
    text[0]               = Str_GetLocalizedString(
      "нет|да",
      "no|yes",
      "Nein|Ja",
      "nie|tak"
    );
  };
  
  instance MenuItem_DebugMode(IMenuItemTextBase) {
    posy   += i_MenuStepY * 9;
    text[0] = Str_GetLocalizedString(
      "Debug mode",
      "Debug mode",
      "Debug-Modus",
      "Debug mode"
    );
	text[1]               = Str_GetLocalizedString(
		"CTRL+SHIFT+I on an NPC.",
		"CTRL+SHIFT+I on an NPC.",
		"STRG+SHIFT+I auf einen NPC.",
		"CTRL+SHIFT+I on an NPC."
	);
  };
  
  instance MenuItem_DebugModeChoice(IMenuItemChoiceBase) {
    posy                 += i_MenuStepY * 9;
    onchgsetoption        = "coopDebugMode";
    onchgsetoptionsection = "UNION_COOP";
    //text[0]               = Str_GetLocalizedString(
    //  "нет|да (useful e.g. after saving/loading in case the second player isn't active anymore. CTRL+SHIFT+I on that player)",
    //  "no|yes (useful e.g. after saving/loading in case the second player isn't active anymore. CTRL+SHIFT+I on that player)",
    //  "Nein|Ja (Z.B. Falls nach Speichern/Laden der zweite Spieler nicht mehr aktiv ist. STRG+SHIFT+I auf den Spieler)",
    //  "nie|tak (useful e.g. after saving/loading in case the second player isn't active anymore. CTRL+SHIFT+I on that player)"
    //);
	text[0]               = Str_GetLocalizedString(
      "нет|да",
      "no|yes",
      "Nein|Ja",
      "nie|tak"
    );
  };

	instance MenuItem_OPT_CONTROLS(IMenuItemTextBase)
	{
		posy                 += i_MenuStepY * 10;
		onSelAction[0]	= SEL_ACTION_STARTMENU;
		onSelAction_S[0]= "UNION_COOP_PLAYER_2:MENU_OPT_CONTROLS";
		text[0]               = Str_GetLocalizedString(
		"Контроль игрока 2",
		"Player 2 controls",
		"Spieler 2 Steuerung",
		"Sterowanie przez gracza 2"
		);
		text[1]               = Str_GetLocalizedString(
		"Конфигурация назначения клавиш.",
		"Key assignment configuration.",
		"Konfiguration der Tastenbelegung.",
		"Konfiguracja przyporządkowania klawiszy."
		);
	};


  instance MenuItem_Back(C_MENU_ITEM) {
    Union_MenuItem_Back();
  };
};